#! /usr/bin/env bash

source .env/bin/activate || source .env/Scripts/activate
find -name "*.py" -not -name "manage.py" -not -path "./.env/*" -not -path "*/migrations/*" -exec python -m flake8 {} \;

pip install --upgrade -r requirements.txt > /dev/null
python manage.py makemigrations
python manage.py migrate
python manage.py runserver 0.0.0.0:9595
